Bug 175018 - devel/fhist: Fix build with clang
Summary: devel/fhist: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-05 18:10 UTC by tkato432
Modified: 2013-02-07 14:40 UTC (History)
0 users

See Also:


Attachments
file.diff (391 bytes, patch)
2013-01-05 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-01-05 18:10:02 UTC
- Fix build with clang
Comment 1 Marcelo Araujo freebsd_committer 2013-01-18 06:09:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2013-02-07 14:35:36 UTC
State Changed
From-To: open->closed
Comment 3 Martin Wilke freebsd_committer 2013-02-07 14:35:36 UTC
Responsible Changed
From-To: araujo->miwi

committed
Comment 4 dfilter service freebsd_committer 2013-02-07 14:35:46 UTC
Author: miwi
Date: Thu Feb  7 14:35:38 2013
New Revision: 311850
URL: http://svnweb.freebsd.org/changeset/ports/311850

Log:
  - Fix build with clang
  
  PR:		175018
  Submitted by:	Ports Fury

Modified:
  head/devel/fhist/Makefile

Modified: head/devel/fhist/Makefile
==============================================================================
--- head/devel/fhist/Makefile	Thu Feb  7 14:34:29 2013	(r311849)
+++ head/devel/fhist/Makefile	Thu Feb  7 14:35:38 2013	(r311850)
@@ -19,6 +19,7 @@ OPTIONS_DEFINE=	NLS
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
+USE_CSTD=	gnu89
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--with-nlsdir=${PREFIX}/share/locale/en/LC_MESSAGES
 ALL_TARGET=	all-bin
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"